Reports
Get Account reports summary
Get Account reports summary for a specific type and date range
Authorization
userApiKey api_access_token<token>
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
In: header
Path Parameters
account_id*integer
The numeric ID of the account
Query Parameters
type*string
Type of report
id?string
The Id of specific object in case of agent/inbox/label
since?string
The timestamp from where report should start.
until?string
The timestamp from where report should stop.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/accounts/0/reports/summary?type=account"{
"avg_first_response_time": "string",
"avg_resolution_time": "string",
"conversations_count": 0,
"incoming_messages_count": 0,
"outgoing_messages_count": 0,
"resolutions_count": 0,
"previous": {
"avg_first_response_time": "string",
"avg_resolution_time": "string",
"conversations_count": 0,
"incoming_messages_count": 0,
"outgoing_messages_count": 0,
"resolutions_count": 0
}
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}